ProyectoCrm/src/app/Modulos/CambiarEmpresaModulo/Paginas/fw-cambiar-empresa/Componentes/fw-cambiar-empresa-lista/fw-cambiar-empresa-lista.component.pug
div((click)="CambiarEmpresa()").TarjetaEmpresa
  div.TarjetaEmpresa--Cuerpo
    div.TarjetaEmpresa--Fila
      div.TarjetaEmpresa--Col-Icono
        div([ngClass]="{'text-gray-300': ValidarLicencia() === true, 'text-danger': ValidarLicencia() === false}").fas.fa-building.fa-2x
      div.TarjetaEmpresa--Col-Texto
        div.h6.mb-2
          span.font-weight-bold.text-primary.mr-2 Empresa:
          span.text-gray-800 {{ tEmpresa.Descripcion }}
        div.h6
          span.font-weight-bold.text-primary.mr-2 Dominio:
          span.text-gray-800 {{ tEmpresa.Dominio }}
      div.TarjetaEmpresa--Col-Icono
        div(*ngIf="tEmpresa.Corporacion === tEmpresaActual.Corporacion && tEmpresa.Empresa === tEmpresaActual.Empresa").fas.fa-check-square.fa-3x.text-success
        div(*ngIf="tEmpresa.Corporacion === tEmpresaActual.Corporacion && tEmpresa.Empresa !== tEmpresaActual.Empresa").fas.fa-check-square.fa-3x.text-gray-300

ProyectoCrm/src/app/Modulos/CambiarEmpresaModulo/Paginas/fw-cambiar-empresa/Componentes/fw-cambiar-empresa-lista/fw-cambiar-empresa-lista.component.html

<div class="TarjetaEmpresa" (click)="CambiarEmpresa()">
  <div class="TarjetaEmpresa--Cuerpo">
    <div class="TarjetaEmpresa--Fila">
      <div class="TarjetaEmpresa--Col-Icono">
        <div class="fas fa-building fa-2x" [ngClass]="{'text-gray-300': ValidarLicencia() === true, 'text-danger': ValidarLicencia() === false}"></div>
      </div>
      <div class="TarjetaEmpresa--Col-Texto">
        <div class="h6 mb-2"><span class="font-weight-bold text-primary mr-2">Empresa:</span><span class="text-gray-800">{{ tEmpresa.Descripcion }}</span></div>
        <div class="h6"><span class="font-weight-bold text-primary mr-2">Dominio:</span><span class="text-gray-800">{{ tEmpresa.Dominio }}</span></div>
      </div>
      <div class="TarjetaEmpresa--Col-Icono">
        <div class="fas fa-check-square fa-3x text-success" *ngIf="tEmpresa.Corporacion === tEmpresaActual.Corporacion &amp;&amp; tEmpresa.Empresa === tEmpresaActual.Empresa"></div>
        <div class="fas fa-check-square fa-3x text-gray-300" *ngIf="tEmpresa.Corporacion === tEmpresaActual.Corporacion &amp;&amp; tEmpresa.Empresa !== tEmpresaActual.Empresa"></div>
      </div>
    </div>
  </div>
</div>
